%define name    monotone
%define version 0.22
%define release %mkrel 1
%define summary A distributed version control tool


Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License: GPL
Group: Development/Other
Source: http://www.venge.net/monotone/%{name}-%{version}.tar.bz2
Url: http://www.venge.net/monotone
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	boost-devel popt-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%prep
%setup -q

%build
%configure
%make

%check
make check

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_mandir}/man1/monotone.1*
%{_infodir}/monotone*
%doc AUTHORS COPYING NEWS README

%changelog
* Tue Aug 09 2005 Nick Brown <nickbrown@mandrake.org> 0.22-1mdk
- 0.22
- remove compiler flag changes, as new crypto library is used.

* Wed Jul 18 2005 Nick Brown <nickbrown@mandrake.org> 0.21-1mdk
- 0.21
- use %%mkrel
- remove gcc 4 hack, added upstream

* Wed Jul 06 2005 Nick Brown <nickbrown@mandrake.org> 0.20-1mdk
- 0.20
- add -DBOOST_REGEX_V4_CHAR_REGEX_TRAITS_HPP to compiler flags to
  allow compilation with gcc 4

* Wed May 04 2005 Nick Brown <nickbrown@mandrake.org> 0.19-1mdk
- 0.19
- make check in %%check

* Mon Apr 13 2005 Nick Brown <nickbrown@mandrake.org> 0.18-2mdk
- Make monotone actually work

* Tue Apr 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.18-1mdk
- 0.18

* Mon Feb 07 2005 Michael Scherer <misc@mandrake.org> 0.16-1mdk
- New release 0.16

* Sat Nov 13 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk
- New release 0.15

* Wed Aug 11 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.14-1mdk
- new version

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk 
- rebuild for new gcc ( patch #0 )


* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- rpmbuildupdate aware
- BuildRequires
- from Nick Brown <nickbroon@blueyonder.co.uk>
  - First Mandrake package release
